Get Published Events
/v1/eventsRetrieves published event records for the authenticated app. Supports only non-deprecated event types. Events are returned in reverse chronological order (newest first).
Query Parameters
Comma separated list of event types for filtering. Only non-deprecated event types are supported.
Value in
- "message.created"
- "message.sent"
- "message.failed"
- "conversation.created"
- "conversation.state-changed"
- "conversation.assigned"
- "conversation.bot-handover.state-changed"
Filter events by publish status. Use SUCCESS for successfully delivered events or FAILED for failed deliveries.
Value in
- "SUCCESS"
- "FAILED"
Filter events published after this timestamp (ISO 8601 UTC). Inclusive.
date-timeFilter events published before this timestamp (ISO 8601 UTC). Inclusive.
date-timecursor after
cursor before
limit pagination
1 <= value <= 10010order by and type
^[-+].*Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/events?event_type=message.created%2Cmessage.sent%2Cmessage.failed&publish_status=SUCCESS&start=2024-01-15T00%3A00%3A00Z&end=2024-01-15T23%3A59%3A59Z"{ "data": [ { "id": "550e8400-e29b-41d4-a716-446655440000", "event_type": "message.created", "publish_status": "SUCCESS", "webhook_url": "https://example.com/webhook", "app_id": "a24f8ef9-2da9-47e0-9be5-0dbeb40a8d54", "workspace_id": "c6a8a6a3-4585-4a1e-8af5-bf8d9d065ea8", "scopes": [ "chat:read" ], "payload": { "id": "b0dbb0d9-9fea-4a48-9bf6-4a5e2f0db8f6", "channel_id": "a24f8ef9-2da9-47e0-9be5-0dbeb40a8d54", "conversation_id": "7c9b5f38-76b6-4c7e-a0c9-5fb6f8c6d0d3", "workspace_id": "c6a8a6a3-4585-4a1e-8af5-bf8d9d065ea8", "content": "Hello, how can we assist you?", "type": "MESSAGE", "sender": { "id": "9e9097a8-5c9a-4e1e-8218-3b833d8b0039", "type": "CONTACT" } }, "published_at": "2024-01-15T10:05:00Z", "idempotent_key": "b0dbb0d9-9fea-4a48-9bf6-4a5e2f0db8f6/a24f8ef9-2da9-47e0-9be5-0dbeb40a8d54/message.created" } ], "metadata": { "after": "7a30ad46-76a3-42df-9c0c-3fcf1b10f9d2", "before": "2db87b94-212f-4f6f-badd-03b6dd6a1a4e" }}Get Agents List GET
Retrieves a paginated list of agents. Requires `agent:read` scope. Sorted by creation date descending.
Create a new API tool for a bot POST
Creates a new API-type chatbot tool that can make HTTP requests to external endpoints. Tools created here will share the same prefix as the normally created tools, therefore it is recommended to use a unique name for the tool created here to prevent conflicts. Requires `bot:write` scope.